<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: ThrowListener Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classThrowListener.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ThrowListener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ThrowListener:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classThrowListener__inherit__graph.svg" width="243" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for ThrowListener:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classThrowListener__coll__graph.svg" width="243" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1EmptyTestEventListener"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1EmptyTestEventListener')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1EmptyTestEventListener.html">testing::EmptyTestEventListener</a></td></tr>
<tr class="memitem:ac3f5033fcd82080edb45f546ce9854fe inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="ac3f5033fcd82080edb45f546ce9854fe"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:ac3f5033fcd82080edb45f546ce9854fe inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31edf103561e8b4d747656bc2d927661 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a31edf103561e8b4d747656bc2d927661"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;, int) override</td></tr>
<tr class="separator:a31edf103561e8b4d747656bc2d927661 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e498ae763ac8c1a46bd861e0b7ff3f5 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a6e498ae763ac8c1a46bd861e0b7ff3f5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a6e498ae763ac8c1a46bd861e0b7ff3f5 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b4e781c0b38065a55c2fd163724ba69 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a9b4e781c0b38065a55c2fd163724ba69"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a9b4e781c0b38065a55c2fd163724ba69 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e32e4bd4857822b6b50e6900aa5c651 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a1e32e4bd4857822b6b50e6900aa5c651"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteStart</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;) override</td></tr>
<tr class="separator:a1e32e4bd4857822b6b50e6900aa5c651 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f9a84967fde01000b7a56e9e84b6052 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a7f9a84967fde01000b7a56e9e84b6052"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseStart</b> (const TestCase &amp;) override</td></tr>
<tr class="separator:a7f9a84967fde01000b7a56e9e84b6052 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8c7f3f1f92826f668edae1bc5aadf4 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a1d8c7f3f1f92826f668edae1bc5aadf4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestStart</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;) override</td></tr>
<tr class="separator:a1d8c7f3f1f92826f668edae1bc5aadf4 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab95992f0a0b3741d59a24c3a7115fa60 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="ab95992f0a0b3741d59a24c3a7115fa60"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestPartResult</b> (const TestPartResult &amp;) override</td></tr>
<tr class="separator:ab95992f0a0b3741d59a24c3a7115fa60 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a709d7077c086c877d214231bc520ef90 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a709d7077c086c877d214231bc520ef90"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestEnd</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;) override</td></tr>
<tr class="separator:a709d7077c086c877d214231bc520ef90 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefdb73682d290791461e186d864db718 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="aefdb73682d290791461e186d864db718"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteEnd</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;) override</td></tr>
<tr class="separator:aefdb73682d290791461e186d864db718 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe05cc74c1081ed51e2c84b73013299e inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="abe05cc74c1081ed51e2c84b73013299e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseEnd</b> (const TestCase &amp;) override</td></tr>
<tr class="separator:abe05cc74c1081ed51e2c84b73013299e inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a320780451eac9178434b7c77d948ecbd inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a320780451eac9178434b7c77d948ecbd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a320780451eac9178434b7c77d948ecbd inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9984052e82c3ae26395a2d9480326d2 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="ad9984052e82c3ae26395a2d9480326d2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:ad9984052e82c3ae26395a2d9480326d2 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae9c5c61e476f0c421402fb1dde434d2 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="aae9c5c61e476f0c421402fb1dde434d2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;, int) override</td></tr>
<tr class="separator:aae9c5c61e476f0c421402fb1dde434d2 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa9d683e8e0c850af67a0b92d785ddb9 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="aaa9d683e8e0c850af67a0b92d785ddb9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:aaa9d683e8e0c850af67a0b92d785ddb9 inherit pub_methods_classtesting_1_1EmptyTestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest_assert_by_exception_test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classThrowListener.html">ThrowListener</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
